Restore a suppressed signal
curl --request POST \
--url https://www.closient.com/signals/api/v1/internal/signals/{signal_id}/unsuppress/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://www.closient.com/signals/api/v1/internal/signals/{signal_id}/unsuppress/"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://www.closient.com/signals/api/v1/internal/signals/{signal_id}/unsuppress/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"detail": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error_code": "<string>",
"timestamp": "<string>",
"retryable": false,
"retry_after": 123,
"owner_action_required": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error_code": "<string>",
"timestamp": "<string>",
"retryable": false,
"retry_after": 123,
"owner_action_required": true,
"details": "<unknown>"
}Signal Review
Restore a suppressed signal
Internal-review action: restore a previously suppressed signal to brand view. Superuser-only (403 otherwise). Idempotent. Written to the audit trail.
POST
/
signals
/
api
/
v1
/
internal
/
signals
/
{signal_id}
/
unsuppress
/
Restore a suppressed signal
Authorizations
APIKeyHeaderAuthOAuthTokenAuthSessionAuth
Path Parameters
Public short-UUID id of the signal to restore.
Required string length:
22Pattern:
^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$⌘I